
%define pkg lua
%define pkgname Lua major mode

# If the emacs-el package has installed a pkgconfig file, use that to determine
# install locations and Emacs version at build time, otherwise set defaults.
%if %($(pkg-config emacs) ; echo $?)
%define emacs_version 22.1
%define emacs_lispdir %{_datadir}/emacs/site-lisp
%define emacs_startdir %{_datadir}/emacs/site-lisp/site-start.d
%else
%define emacs_version %(pkg-config emacs --modversion)
%define emacs_lispdir %(pkg-config emacs --variable sitepkglispdir)
%define emacs_startdir %(pkg-config emacs --variable sitestartdir)
%endif

Name:           emacs-%{pkg}
Version:        20071122
Release:        11%{?dist}
Summary:        Lua major mode for GNU Emacs

Group:          Applications/Editors
License:        GPLv2+
URL:            http://lua-mode.luaforge.net
Source0:        http://luaforge.net/frs/download.php/2724/lua-mode-20071122.tar.gz
Source1:        lua-init.el
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  emacs(bin), emacs-el >= 22.1-2
BuildRequires:  pkgconfig
Requires:       emacs(bin) >= %{emacs_version}

%description
A GNU Emacs major mode for editing Lua code.

%package el
Summary:  Elisp source files for %{pkgname} under GNU Emacs
Group:    Applications/Editors
Requires: emacs-lua = %{version}-%{release}

%description el
This package contains the elisp source files for %{pkgname}
under GNU Emacs. You do not need to install this package to run
%{pkgname}. Install the emacs-%{pkg} package to use %{pkgname}
with GNU Emacs.

%prep
%setup -q -c


%build
emacs -batch -f batch-byte-compile lua-mode.el


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{emacs_lispdir}
mkdir -p $RPM_BUILD_ROOT%{emacs_startdir}
install -p -m 0644 lua-mode.el $RPM_BUILD_ROOT%{emacs_lispdir}
install -p -m 0644 lua-mode.elc $RPM_BUILD_ROOT%{emacs_lispdir}
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{emacs_startdir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{emacs_startdir}/lua-init.el
%{emacs_lispdir}/lua-mode.elc

%files el
%defattr(-,root,root,-)
%{emacs_lispdir}/lua-mode.el

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20071122-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20071122-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20071122-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20071122-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20071122-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20071122-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 27 2008 Tim Niemueller <timn@fedoraprojdect.org> 20071122-5
- dropped XEmacs support, an ancestor of lua-mode is in xemacs-packages-extra
- dropped patch, was only needed for XEmacs
- fixed errorneous require, must be %{emacs_version} not just emacs_version.
- removed some double-slashes in paths

* Sat Jan 26 2008 Tim Niemueller <timn@fedoraprojdect.org> 20071122-4
- el packages require respective base package
- Use cp -p in build section to preserve timestamp

* Tue Jan 22 2008 Tim Niemueller <timn@fedoraprojdect.org> 20071122-3
- Use full templates, pkgconfig is not installed by default in buildroot

* Mon Jan 21 2008 Tim Niemueller <timn@fedoraprojdect.org> 20071122-2
- BR pkgconfig
- Excplicitly BR the minimum versions of emacs-el and xemacs-devel that
  provide the pkgconfig files

* Fri Jan 18 2008 Tim Niemueller <timn@fedoraprojdect.org> 20071122-1
- Initial SPEC file

